import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Tctinf {
    
    @observable
    branch=""           // \tcsgrp\rec\branch    归属机构 

    @observable
    sta=""           // \tcsgrp\rec\sta    状态 

    @observable
    tcsgrp_tcslst=[]           // \tcsgrp\tcslst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.branch=""
            this.sta=""
            this.tcsgrp_tcslst=[]
    }

} 


export default Tctinf